% Example 4.8

s=tf('s');
w=1; 
zeta=[0.1 0.2 0.5 0.7 1.0];
nz=length(zeta);

for i=1:nz
    G2(i)=w^2/(s^2+2*zeta(i)*w*s+w^2);
    G2D(i)=(s^2+2*zeta(i)*w*s+w^2)/w^2;
end
figure(1), hold on;
for i=1:nz
    bode(G2(i));
end
grid on;
figure(2), hold on;
for i=1:nz
    bode(G2D(i));
end
grid on;