% 5.2 Impulse/step resp. of system (5.8)

s=tf('s'); % Laplace operator
t=0:0.01:50;

wn=1; % natural angular frequency
zai=0.1; % Damping ratio
G01=wn^2/(s^2+2*wn*zai*s+wn^2)
yi01=impulse(G01,t); ys01=step(G01,t);

zai=0.5; G05=wn^2/(s^2+2*+wn*zai*s+wn^2)
yi05=impulse(G05,t); ys05=step(G05,t);

zai=0.7; G07=wn^2/(s^2+2*wn*zai*s+wn^2)
yi07=impulse(G07,t); ys07=step(G07,t);

figure(1);
plot(t,yi01,t,yi05,t,yi07); grid;

figure(2);
plot(t,ys01,t,ys05,t,ys07); grid;