% 5.3 Allowable regions of K and T

T=0:0.1:2.5;
Tf=2.5:-0.1:0;

nT=length(T);
TZ=T(1,1);
TP=T(1,2:nT)';
KP=2+TP.^(-1)/5;

TZP=[TZ; TP; Tf'];
KZP=[max(KP); KP; zeros(nT,1)];

fill(TZP,KZP,'g');
title('Allowable regions of K and T'); 
xlabel('T'); ylabel('K');