% Example 6.1

s=tf('s'); % Laplace operator
alpha0=6.25; beta0=33.2; % Plant parameters
P=beta0/(s^2+alpha0*s) % Plant
L=P*(0.294*s+3.01) % Open-loop transfer function
S=L/(1+L) % Sensitivity function
S=minreal(S)
T=1-S % Complementary sensitivity function
bode(S,T); % Bode plots
allmargin(L)

hP=22.1/(s^2+4.17*s)
dPM=hP/P-1
dPM=minreal(dPM)
G=dPM*T
G=minreal(G)
norm(G,Inf) % H-inf norm