% Table 6.2 & Eq. (6.25)
% Need Curve Fitting Toolbox for fit function

s=tf('s'); % Laplace operator
z=0.1:0.1:0.9;
for i=1:9
    P(i)=1/(s^2+2*z(i)*s+1);
    S = stepinfo(P(i),'RiseTimeThreshold',[0.1 0.9]);
    rt(i)= S.RiseTime;
end
f=fit(z',rt','poly3')
plot(f,z',rt')

for i=1:9
    rt_c(i)=f.p1*z(i)^3+f.p2*z(i)^2+f.p3*z(i)+f.p4;
end
rt, rt_c