% 9.1 Comp. of step resp.
 
s=tf('s'); 

G11=1/(s+1); G12=1/(0.1*s+1)*G11;
G21=1/(s^2+s+1); G22=1/(0.1*s+1)*G21;

t=0:0.01:10;
figure(1); hold on;
step(G11,t); step(G12,t); grid;
title('Step response (G11 & G12)') 

figure(2); hold on;
step(G21,t); step(G22,t); grid;
title('Step response (G21 & G22)')