% Advanced level
% Problem 10.3

s=tf('s');
G1=80/(0.0033*s+1), G2=200/(0.2*s+1), GB=0.0025/(0.0018*s+1),

% 3 B
TF=0.0018, GF=1/(TF*s+1),

% 3 C
P=G1*G2*GB,

% 3 D
[np1,dp1]=tfdata(P,'v'); np=np1/dp1(1); dp=dp1/dp1(1); [rp,pp,kp]=residue(np,dp)
Pr=-rp(1)/pp(1)-rp(2)/pp(2)+rp(3)/(s-pp(3))
[npr,dpr]=tfdata(Pr,'v')

% 3 E
Tr=1.5, Mp=0.05, Ts=2,
w1=1.8/Tr, sigma=3/Ts, 
zeta1=1.191*Mp^2-1.789*Mp+0.786, K1=sqrt(1-zeta1^2)/zeta1
p=[-5+2*j -5-2*j], phi=conv([1 -p(1)],[1,-p(2)]),
KP=(phi(2)+phi(3)/200-5)/(200+phi(3)/200+phi(1))
Ti=200*KP/(phi(3)*(1-KP))
C=KP*(1+1/(Ti*s))
L=P*C, G1=L/(1+L), G2=GF*GB*G1, G=minreal(G2)
Lr=Pr*C, Gr1=Lr/(1+Lr), Gr2=GF*GB*Gr1, Gr=minreal(Gr2)
figure(1); hold on;
step(G,Gr)

% 3 F Problem1003sim_R2015a
t2=-10:0.1:0; yK1=K1*t2; yK2=-K1*t2;
ts=-10:0.1:10; ys=-sigma*ones(length(ts)); 
figure(2); hold on;
plot(t2,yK1,t2,yK2);
plot(ys,ts); sgrid;
title('Area for pole placement')
plot(real(p(1)), imag(p(1)),'rx',real(p(2)), imag(p(2)),'rx');