% 5.1 Impulse/step resp. of system (5.1)

s=tf('s'); % Laplace operator
t=0:0.01:2; % Time vector for simulation (stable)
tn=0:0.01:1; % Time vector for simulation (unstable)
K=1; % DC gain

T=0.5; % Time constant
G05=K/(T*s+1) % First-order system
yi05=impulse(G05,t); %Impulse response
ys05=step(G05,t); % Step response 10
T=0.2; G02=K/(T*s+1)
yi02=impulse(G02,t); ys02=step(G02,t);

T=0.1; G01=K/(T*s+1)
yi01=impulse(G01,t); ys01=step(G01,t);

T=-0.2; Gn02=K/(T*s+1)
yin02=impulse(Gn02,tn); ysn02=step(Gn02,tn);

T=-0.5; Gn05=K/(T*s+1)
yin05=impulse(Gn05,tn); ysn05=step(Gn05,tn);

figure(1);
plot(t,yi05,t,yi02,t,yi01);
grid; % Draw grids

figure(2);
plot(t,ys05,t,ys02,t,ys01); grid;

figure(3);
plot(tn,yin02,tn,yin05); grid;

figure(4);
plot(tn,ysn02,tn,ysn05); grid;