% Advanced level
% Problem 6.1

s=tf('s');
C=0.323*s+4.337

alpha0=6.25; beta0=33.2;
P0=beta0/(s*(s+alpha0))

alpha=4.17; beta=22.1;
P=beta/(s*(s+alpha))

Gyd0=P0/(1+P0*C), Gyd=P/(1+P*C)

L0=P0*C, L=P*C,
S0=1/(1+P0*C), S=1/(1+P*C)
T0=1-S0, T=1-S

figure(1);
bode(L0); margin(L0); grid; hold on;
bode(L); margin(L); 

figure(2);
bode(S0, S); grid; hold on;
bode(T0,T);

figure(3);
bode(Gyd0,Gyd); grid;