% 6.1 S(s) & T (s)

s=tf('s'); % Laplace operator
alpha0=6.25; beta0=33.2; % Plant parameters
P=beta0/(s^2+alpha0*s) % Plant
L=P*(0.294*s+3.01) % Open-loop transfer function 5 S=L/(1+L), S=minreal(S), % Sensitivity function
T=1-S % Complementary sensitivity function
bode(S,T); % Bode plots
allmargin(L)