% Advanced level
% Problem 7.1

% 1 A
s=tf('s');
Td=0.2,
P=2*exp(-Td*s)/(s+2), Pb=2*(1-Td*s/2)/((1+Td*s/2)*(s+2)),

% 1 B
step(P,Pb); grid;

% 1 C
Dp=conv([1 Td/2],[2,1])
Np=2*[1 -Td/2]
h0=Dp(1)/Np(1), h1=(Dp(2)-Np(2)*h0)/Np(1), h2=(Dp(3)-Np(2)*h1)/Np(1),
phi=[1 1/2 3/20]

r=roots([(phi(2)^2-phi(3)*phi(1))*h0  -phi(2)*phi(1)*h1  h2*phi(1)^2])
nr1=r>0
r1=r(nr1)
r2=sort(r1)
sigma=r2(1)

Ki=h0/(phi(1)*sigma), KP=(h1*phi(1)-phi(2)*h0*sigma)/(phi(1)^2*sigma),

% 1 D
C=(Ki+KP*s)/s, G=P*C/(1+P*C), Gm=minreal(G), 
Gb=Pb*C/(1+Pb*C), Gbm=minreal(Gb),pole(Gbm)

% 1 E
step(Gm); grid;
S=stepinfo(Gm,'SettlingTimeThreshold',0.005)