% Basic Level
% Problem 7.5

% 5 A
Tr=0.15, Mp=0.1, Ts=0.5, 
w1=1.8/Tr,
zeta1=1.191*Mp^2-1.789*Mp+0.786, 
K1=sqrt(1-zeta1^2)/zeta1,
sigma1=3/Ts

% Area for pole assignment
t1=pi/2:0.01:3*pi/2;
x1=w1*cos(t1); y1=w1*sin(t1);
t2=-20:0.1:0; yK1=K1*t2; yK2=-K1*t2;
ts=-20:0.1:20; ys=-sigma1*ones(length(ts));
figure(1); hold on;
plot(x1,y1); plot(t2,yK1,t2,yK2); plot(ys,ts); grid;
title('Area for pole placement')

% 5 A
p_FB=[-15+5*j -15-5*j];
plot(real(p_FB(1)), imag(p_FB(1)),'rx',real(p_FB(2)), imag(p_FB(2)),'rx');

% 5 B
p_FB2=[-15+5*j -15-5*j -50];
plot(real(p_FB2(1)), imag(p_FB2(1)),'rx',real(p_FB2(2)), imag(p_FB2(2)),'rx', real(p_FB2(3)), imag(p_FB2(3)),'rx');