% Basic Level
% Problem 8.11

A=[-7 1 0; 0 -8 1; 0 0 -9], B=[0;0;1], C=[1 0 0], 

Mp=0.1, Ts=0.1,
zeta1=-2.412*Mp^3 + 3.853*Mp^2 - 2.518*Mp + 0.820, 
sigma1=3/Ts

% Area for pole assignment
K1=sqrt(1-zeta1^2)/zeta1;
t2=-60:0.1:0; yK1=K1*t2; yK2=-K1*t2;

ts=-60:0.1:60; ys=-sigma1*ones(length(ts)); 
figure(1); hold on;
plot(t2,yK1,t2,yK2); 
plot(ys,ts); sgrid;
title('Area for pole placement')

% Pole assignment
p=[-50+40*j -50-40*j -150], F=place(A',C',p), L=F', eig(A-L*C)
plot(real(p(1)), imag(p(1)),'rx',real(p(2)), imag(p(2)),'rx');
