% 8.2 Pole-placement

alpha=10; beta=50;
A=[0 1; 0 -alpha]; B=[0; beta]; C=[1 0];

Co=ctrb(A,B); unco=length(A)-rank(Co)

p=[-10+10*j -10-10*j];
F=place(A,B,p);
eig(A-B*F)
sysF=ss(A-B*F,B,C,0); sysu=ss(A-B*F, B, -F, 1);

t=0:0.01:1;
figure(1)
subplot(2,1,1); impulse(sysF,t); grid;
subplot(2,1,2); impulse(sysu,t); grid;