% 8.3 LQR

alpha=10; beta=50;
A=[0 1; 0 -alpha]; B=[0; beta]; C=[1 0];

R=1; Q1=diag([1 10]);
F1=lqr(A,B,Q1,R);
eig(A-B*F1)
sysF1=ss(A-B*F1,B,C,0); sysF1u=ss(A-B*F1, B, -F1, 1);

Q2=diag([100 1]);
F2=lqr(A,B,Q2,R);
eig(A-B*F2)
sysF2=ss(A-B*F2,B,C,0); sysF2u=ss(A-B*F2, B, -F2, 1);

R3=10;
F3=lqr(A,B,Q2,R3);
eig(A-B*F3)
sysF3=ss(A-B*F3,B,C,0); sysF3u=ss(A-B*F3, B, -F3, 1);

t1=0:0.01:0.5;
figure(1)
subplot(2,1,1); hold on;
impulse(sysF1,t); impulse(sysF2,t); impulse(sysF3,t); grid;
subplot(2,1,2); hold on;
impulse(sysF1u,t); impulse(sysF2u,t); impulse(sysF3u,t);
grid;