% 9.2 Modal decomposition
 
s=tf('s'); 

G=1/((s^2+s+1)*(0.01*s+1))
a=conv([1 1 1],[0.01 1]); b=[0 0 0 1];

[beta,alpha,k]=residue(b,a) 

Gr=beta(2)/(s-alpha(2))+beta(3)/(s-alpha(3))-beta(1)/alpha(1)
RG=beta(1)/(s-alpha(1))

sys_G=ss(Gr)
Co=ctrb(sys_G); unco=length(sys_G.A)-rank(Co)
Ob=obsv(sys_G); unob=length(sys_G.A)-rank(Ob)

figure(1);
step(G,Gr); grid;
title('Step responses of G and Gr')

figure(2);
bode(G,Gr); grid;
title('Bode plots of G and Gr')