% Basic Level
% Problem 10.7

%Plant
A=[-31.31 0 -2.833*10^4; 0 -10.25 8001; 1 -1 0], 
Bd=[0; 7.21; 0],
B=[28.06; 0; 0], C=[1 0 0],

nA=length(A)
Co=ctrb(A,B);unco=length(A)-rank(Co)
Ob=obsv(A,C);unob = length(A)-rank(Ob)

%Internal model
AR=0, BR=1.

%A_bar, B_bar, C_bar
Ab=[AR -BR*C; zeros(3,1) A];
Bb=[0; B];
Cb=[0 C];
nAb=length(Ab)

% 7 D Observer gain
RL=1, QL=diag([10^6 1 1]);
Lp=lqr(A',C',QL,RL); L=Lp', eig(A-L*C)

% 7 E state feedback
R=1, Q=diag([1 1 1 10]);
F=lqr(Ab,Bb,Q,R), eig(Ab-Bb*F)
FR=F(1,1); Fp=F(1,2:nAb);
